summaryrefslogtreecommitdiffstats
path: root/mvn-phase-script.sh
diff options
context:
space:
mode:
authorAndrew Gauld <ag1282@att.com>2018-02-21 11:14:46 -0500
committerAndrew Gauld <ag1282@att.com>2018-02-21 11:20:16 -0500
commit373f0f3559049ea91a3fb47a445c554512c36435 (patch)
tree5ef98975d4a43abf0c17dc021b303010173de366 /mvn-phase-script.sh
parente8e4e3878deb5e93ae25f93fe047708a170893ca (diff)
Make SONAR code coverage analysis work
Change-Id: I8091aea6127b78de404c986be74ecf44935ab92f Issue-ID: DCAEGEN2-355 Signed-off-by: Andrew Gauld <ag1282@att.com>
Diffstat (limited to 'mvn-phase-script.sh')
-rwxr-xr-xmvn-phase-script.sh14
1 files changed, 7 insertions, 7 deletions
diff --git a/mvn-phase-script.sh b/mvn-phase-script.sh
index 5fa716a..29290ca 100755
--- a/mvn-phase-script.sh
+++ b/mvn-phase-script.sh
@@ -33,10 +33,7 @@ if [ -z "${MVN_NEXUSPROXY}" ]; then
echo "MVN_NEXUSPROXY environment variable not set. Cannot proceed"
exit 1
fi
-if [ -z "$SETTINGS_FILE" ]; then
- echo "SETTINGS_FILE environment variable not set. Cannot proceed"
- exit 2
-fi
+export SETTINGS_FILE=${SETTINGS_FILE:-$HOME/.m2/settings.xml}
set +e
if ! wget -O ${PROJECT_ROOT}/mvn-phase-lib.sh \
@@ -86,9 +83,12 @@ test)
echo "==> test phase script"
case $MVN_PROJECT_MODULEID in
*)
- set +e
- run_tox_test
- set -e
+ if [ -f tox.ini ]
+ then
+ set -e
+ run_tox_test
+ set +e
+ fi
;;
esac
;;